petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexGetAuxiliaryPoint

For a given point in the DM, return the matching point in the auxiliary DM.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetAuxiliaryPoint(DM dm, DM dmAux, PetscInt p, PetscInt *subp)

Note collective

### Input Parameters

| dm | - The DM
| dmAux | - The related auxiliary DM
| p | - The point in the original DM

### Output Parameter

subp -The point in the auxiliary DM

Notes: If the DM is a submesh, we assume the dmAux is as well and just return the point. If only dmAux is a submesh, then we map the point back to the original space.

### See Also

DMPlexCreateSubmesh(), DMPlexGetSubpointMap(), DMPlexCreateSubpointIS()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages